<template>
  <div>
    <div
      class="header items-center justify-between flex flex-row py-6 px-12 bg-white"
    >
      <img src="../assets/logo.svg" alt="logo" />

      <div
        class="flex flex-row cursor-pointer"
        v-if="!showSearch"
        @click="activateSearch"
      >
        <img class="mr-4" src="/location.svg" /><span class="font-bold">{{
          currentLocation
        }}</span>
      </div>
      <div
        class="flex flex-row cursor-pointer bg-gray-200 py-1 px-2 rounded relative"
        v-else
      >
        <img class="mr-4" src="/location.svg" />
        <input
          type="text"
          class="bg-transparent search-field"
          placeholder="Введите адрес доставки"
          @focus="showHints = true"
          @blur="showHints = false"
          ref="search"
          v-model="search"
        />
        <img class=" border-l border-gray-500 pl-3 pr-2" src="/cross.svg" />
        <div v-if="showHints" class="absolute hints">
          <ul class="flex flex-col py-2 px-4">
            <li class="flex flex-row items-center text-sm py-2">
              <img
                class="mr-4 h-6 bg-gray-300 rounded-full p-1"
                src="/location.svg"
              />ул. Петровско-Разумовская 17
            </li>
            <li class="flex flex-row items-center text-sm py-2">
              <img
                class="mr-4 h-6 bg-gray-300 rounded-full p-1"
                src="/location.svg"
              />ул. Cибирский проекзд 10, к.2
            </li>
            <li class="flex flex-row items-center text-sm py-2">
              <img
                class="mr-4 h-6 bg-gray-300 rounded-full p-1"
                src="/location.svg"
              />ул. Перервинский бульвар 27, к.1
            </li>
          </ul>
        </div>
      </div>
      <div class="flex flex-row">
        <div class="flex flex-row">
          <img class="mr-4 font-bold" src="/search.svg" />
          <span class="font-bold">Поиск</span>
        </div>
        <div
          class="flex flex-row ml-16 cursor-pointer"
          tabindex="0"
          @click="showModal"
          v-if="!signedIn"
        >
          <img class="mr-4 font-bold" src="/exit.svg" />
          <span class="font-bold">Войти</span>
        </div>
        <div
          class="flex flex-row ml-16 relative cursor-pointer"
          tabindex="0"
          @click="toggleDropdown"
          v-else
        >
          <img class="mr-4 font-bold" src="/person.svg" />
          <div v-if="dropdown" class="absolute dropdown">
            <ul class="flex flex-col">
              <li class="flex flex-row items-center text-sm py-2 px-4 py-4">
                <img class="mr-4" src="/person.svg" />Личные данные
              </li>
              <li class="flex flex-row items-center text-sm py-2 px-4 py-4">
                <img class="mr-4" src="/location.svg" />Адреса доставки
              </li>
              <li class="flex flex-row items-center text-sm py-2 px-4 py-4">
                <img class="mr-4" src="/invoice.svg" />Предыдущие заказы
              </li>
              <li
                class="flex flex-row items-center text-sm py-2 px-4 py-4 border-t border-gray-400"
                tabindex="0"
                @click.stop="signedIn = false"
              >
                <img class="mr-4" src="/exit.svg" />Выход
              </li>
            </ul>
          </div>
        </div>
        <div class="flex flex-row ml-16">
          <img class="font-bold" src="/cart.svg" />
        </div>
      </div>
    </div>
    <div class="header-menu flex flex-row justify-between py-6 px-12">
      <a
        href=""
        class="bg-white px-8 py-2 rounded text-base font-bold leading-none"
        >Все</a
      >
      <a
        href=""
        class="px-4 py-2 rounded text-base leading-none text-white font-bold"
        >Суши</a
      >
      <a
        href=""
        class="px-4 py-2 rounded text-base leading-none text-white font-bold"
        >Пицца</a
      >
      <a
        href=""
        class="px-4 py-2 rounded text-base leading-none text-white font-bold"
        >Бургеры</a
      >
      <a
        href=""
        class="px-4 py-2 rounded text-base leading-none text-white font-bold"
        >Фастфуд</a
      >
      <a
        href=""
        class="px-4 py-2 rounded text-base leading-none text-white font-bold"
        >Шашлыки</a
      >
      <a
        href=""
        class="px-4 py-2 rounded text-base leading-none text-white font-bold"
        >Азиатская</a
      >
      <a
        href=""
        class="px-4 py-2 rounded text-base leading-none text-white font-bold"
        >Пироги</a
      >
      <a
        href=""
        class="px-4 py-2 rounded text-base leading-none text-white font-bold"
        >Десерты</a
      >
      <a
        href=""
        class="px-4 py-2 rounded text-base leading-none text-white font-bold"
        >Здоровая еда</a
      >
      <a
        href=""
        class="px-4 py-2 flex flex-row rounded text-base leading-none text-white font-bold"
        >Еще <img class="ml-6" src="/bottom.svg"
      /></a>
    </div>
    <Modal v-if="modal" @confirm="confirm" @hide="hideModal" />
  </div>
</template>

<script>
import Modal from './Modal.vue'

export default {
  name: 'my-header',
  components: { Modal },
  data() {
    return {
      signedIn: false,
      showSearch: false,
      showHints: false,
      search: '',
      currentLocation: 'ул. Петровско-Разумовская 17',
      modal: false,
      dropdown: false,
    }
  },
  methods: {
    showModal() {
      this.modal = true
    },
    hideModal() {
      this.modal = false
    },
    confirm() {
      this.modal = false
      this.signedIn = true
    },
    toggleDropdown() {
      this.dropdown = !this.dropdown
    },
    activateSearch() {
      this.showSearch = true
      this.$nextTick(() => {
        this.$refs.search.focus()
      })
    },
  },
}
</script>

<style>
.header-menu {
  background-color: #a1d13f;
}

.arrow-icon {
  background-color: #f0f0f0;
}

.dropdown {
  width: 200px;
  background-color: #fff;
  top: 58px;
  left: -220%;
  border-radius: 0 0 10px 10px;
  box-shadow: 2px 3px 20px rgba(0, 0, 0, 0.08);
  z-index: 9999;
}

.search-field {
  width: 280px;
}

.hints {
  background-color: #fff;
  width: 100%;
  left: 0;
  top: 100%;
  box-shadow: 2px 3px 20px rgba(0, 0, 0, 0.08);
  border-radius: 6px;
}
</style>
